﻿/* Normalize */
body {
    font-family: "Montserrat", sans-serif;
    color: #E1D7B7;
}

h1 {
    font-family: 'League Gothic', sans-serif;
    font-size: 2em;
    text-shadow: 0px 4px #C94C2D;
}

h2 {
    font-family: "Montserrat", sans-serif;
}

.pageTitle {
    position: relative;
    top: 1em;
}

.container-fluid {
    padding: 0;
}

.title {
    font-size: 5rem;
    color: #000;
}

/* NAVIGATION */
.navbar {
    background-color: #262626;
    font-size: 1.25em;
}

.navbar-toggler {
    position: fixed;
    right: .5em;
    top: .5em;
}

.navbar-nav li {
    padding-right: 8.5em;
    padding-left: 8.5em;
}

.navbar-nav li a {
    color: #E1D7B7;
}

.navbar-nav li a:hover, .navbar-nav li a:focus {
    color: #C94C2D;
}

#navigation {
    width: 85%;
    margin: 0em auto;
    text-align: center;
    color: #fff;
}

.navLink {
    color: #E1D7B7;
}

.navItem {
    margin: 10px 0;
}

/* FIRST PAGE */

#splash, #projects, #gallery, #contact {
    background-image: linear-gradient(to bottom right, #243943, #0A4457, #262626);
    height: 100%;
}

#logo {
    width: 40%;
    position: relative;
    top: 6em;
}

#name {
    position: relative;
    top: 3em;
}

#role {
    position: relative;
    top: 8.5em;
}

/* Projects */

.accordion {
    --bs-accordion-border-color: #262626;
}

#projectAccordionDesktop {
    position: relative;
    top: 2.5em;
    width: 80%;
    left: 10%;
}

#projectAccordionMobile {
    display: none;
}

.accordion-button, .accordion-button:not(.collapsed) {
    background-color: #262626;
    color: #E1D7B7;
}

.accordion-button:focus {
    background-color: #262626;
    color: #C94C2D;
}

.accordion-button::after {
    background-color: #C94C2D;
    border-radius: 50%;
    padding: 5px;
}

.accordion-body {
    font-size: 1rem;
}

.projectImage {
    width: 100%;
}

#unityIcon {
    font-size: 2em;
}

.projectLink {
    color: #C94C2D;
}

.card {
    background-color: #262626;
    min-height: 250px;
    max-height: 250px;
    margin-top: .5em;
}

.card-title {
    color: #E1D7B7;
    font-size: .25em;
}

.projectImage {
    min-height: 120px;
}

.card-button {
    background-color: #C94C2D;
    color: #E1D7B7;
    border: none;
    transition: .5s;
}

.card-button:hover {
    background-color: #E1D7B7;
    color: #C94C2D;
    transition: .5s;
}

#galleryCardSection {
    position: relative;
    top: 2em;
    width: 80%;
    left: 10%;
    max-height: 600px;
    overflow: auto;
}

/* width */
::-webkit-scrollbar {
    width: 15px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #C94C2D;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #E1D7B7;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.modal {
    --bs-modal-width: 45%;
}

.modal-content {
    background-color: #262626;
}

.modal-title {
    font-family: 'League Gothic', sans-serif;
}

.modal-close {
    background-color: #C94C2D;
    border-radius: 50%;
}

#desktopSocial {
    display:block;
    position: relative;
    top: 2.5em;
}

.social {
    font-size: 2em;
    color: #E1D7B7;
    transition: .5s;
}

.social:hover {
    color: #C94C2D;
    transition: .5s;
}

#mobileSocial {
    display: none;
}

/* Fullpage.js Styling */
#fullpage {
    width: 100%;
}

.section {
    text-align: center;
    font-size: 3em;
}

.fp-prev:hover {
    border-color: transparent #23AB9A transparent transparent;
}

.fp-next:hover {
    border-color: transparent transparent transparent #23AB9A;
}


